package com.app.intelligent.board.utils

import android.content.Context
import com.app.intelligent.board.AppContextHelper

object KeyboardThemeSaver {

    val SP_NAME = "keyboard_skin"
    val SKIN_PATH = "skin_path"
    val spSkin = AppContextHelper.Companion.appInstance.getSharedPreferences(SP_NAME,Context.MODE_PRIVATE)

    fun  updateSkinPath(skinPath:String){
        spSkin.edit().putString(SKIN_PATH,skinPath).apply()
    }

    fun  getSkinPath( ):String?{
       return spSkin.getString(SKIN_PATH,null)
    }
}